%define anolis_release 2

%{?python_enable_dependency_generator}

%bcond_with tests

%global py3 python3
%global py3dev python3
%global library kubernetes

Name:       python-%{library}
Epoch:      1
Version:    26.1.0
Release:    %{anolis_release}%{dist}

Summary:    Python client for the kubernetes API.
License:    ASL 2.0
URL:        https://pypi.python.org/pypi/kubernetes
Source0:    https://github.com/kubernetes-client/python/archive/v%{version}.tar.gz
BuildArch:  noarch

%package -n %{py3}-%{library}
Summary:    Kubernetes Python Client
BuildRequires:  git
BuildRequires:  %{py3dev}-devel
BuildRequires:  %{py3dev}-rpm-macros
BuildRequires:  %{py3}-setuptools
%if %{undefined __pythondist_requires}
Requires:  %{py3}-certifi
Requires:  %{py3}-six
Requires:  %{py3}-dateutil
Requires:  %{py3}-setuptools 
Requires:  %{py3}-urllib3
Requires:  %{py3}-PyYAML
Requires:  %{py3}-google-auth
Requires:  %{py3}-websocket-client
%endif

%description -n %{py3}-%{library}
Python client for the kubernetes API.

%if %{with tests}
%package -n %{py3}-%{library}-tests
Summary:    Tests python-kubernetes library

Requires:  %{py3}-nose
Requires:  %{py3}-py
Requires:  %{py3}-mock
Requires:  %{py3}-%{library} = 1:%{version}-%{release}

%description -n %{py3}-%{library}-tests
Tests python-kubernetes library
%endif

%description
Python client for the kubernetes API.

%package -n %{py3}-%{library}-doc
Summary:        Documentation files for %{name}
Requires:       %{py3}-%{library} = %{EVR}
BuildArch:      noarch

%description -n %{py3}-%{library}-doc
The %{py3}-%{library}-doc package contains documentation files for %{py3}-%{library}.

%prep
%autosetup -n python-%{version} -S git

%build
%py3_build

%install
%py3_install
%if %{with tests}
cp -pr kubernetes/test %{buildroot}%{python3_sitelib}/%{library}/
cp -pr kubernetes/e2e_test %{buildroot}%{python3_sitelib}/%{library}/
%endif

%check

%files -n %{py3}-%{library}
%license LICENSE
%{python3_sitelib}/%{library}
%{python3_sitelib}/%{library}-*.egg-info
%exclude %{python3_sitelib}/%{library}/test
%exclude %{python3_sitelib}/%{library}/e2e_test

%if %{with tests}
%files -n %{py3}-%{library}-tests
%license LICENSE
%{python3_sitelib}/%{library}/test
%{python3_sitelib}/%{library}/e2e_test
%endif

%files -n %{py3}-%{library}-doc
%doc README.md CONTRIBUTING.md CHANGELOG.md

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 26.1.0-2
- Rebuild with python3.11

* Tue Mar 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 26.1.0-1
- Init package from upstream
